# $Revision: 1.11 $, $Date: 2002/05/13 10:16:43 $
Summary:	LAM/MPI (Local Area Multicomputer) programming environment
Summary(es):	LAM MPI
Summary(pl):	rodowisko programistyczne LAM/MPI
Summary(pt_BR):	LAM MPI
Name:		lam
Version:	6.5.6
Release:	6
Epoch:		2
Vendor:		LAM/MPI Team
License:	BSD
Group:		Development/Libraries
Source0:	%{name}-%{version}.tar.gz
URL:		http://www.lam-mpi.org/
BuildRequires:	autoconf
BuildRequires:	automake
Provides:	mpi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LAM (Local Area Multicomputer) is an MPI programming environment and
development system for heterogeneous computers on a network. With
LAM/MPI, a dedicated cluster or an existing network computing
infrastructure can act as a single parallel computer. LAM/MPI is
considered to be "cluster friendly", in that it offers daemon-based
process startup/control as well as fast client-to-client message
passing protocols. LAM/MPI can use TCP/IP and/or shared memory for
message passing (currently, different RPMs are supplied for this --
see the main LAM web site for details).

LAM features a full implementation of MPI-1 (with the exception that
LAM does not support cancelling of sends), and much of MPI-2.
Compliant applications are source code portable between LAM/MPI and
any other implementation of MPI. In addition to providing a
high-quality implementation of the MPI standard, LAM/MPI offers
extensive monitoring capabilities to support debugging. Monitoring
happens on two levels. First, LAM/MPI has the hooks to allow a
snapshot of process and message status to be taken at any time during
an application run. This snapshot includes all aspects of
synchronization plus datatype maps/signatures, communicator group
membership, and message contents (see the XMPI application on the main
LAM web site). On the second level, the MPI library is instrumented to
produce a cummulative record of communication, which can be visualized
either at runtime or post-mortem.

%description -l es
LAM (Local Area Multicomputer) es un ambiente de desarrollo MPI para
computadores heterogneos en una red. Con LAM, un cluster permanente o
una red ya existente pueden servir como un computador paralelo.

LAM tiene entre sus ventajas el soporte extensivo a la depuracin
durante el ciclo de desarrollo de los aplicativos y un ptimo
desarrollo en el ambiente de ejecucin. LAM implementa completamente
el patrn MPI.

%description -l pl
LAM (Local Area Multicomputer) jest rodowiskiem programistycznym MPI
dla heterogenicznych komputerw w sieci. Z uyciem LAM/MPI dedykowany
klaster lub instniejca infrastruktura obliczajca moe si zachowywa
jak pojedynczy, rwnolegy komputer. LAM/MPI jest uwaana za
"przyjazne dla klastrw" - oferuje bazujc na demonie kontrol i
uruchamianie procesw oraz protokoy szybkiego przesyania
komunikatw. LAM/MPI moe uywa TCP/IP lub dzielonej pamici do
przesyania komunikatw (aktualnie su do tego rne pakiety).

Moliwoci LAM to pena implementacja MPI-1 (z wyjtkiem tego, e LAM
nie obsuguje anulowania wysyania) i duej czci MPI-2. Kompatybilne
aplikacje s przenone na poziomie rde pomidzy LAM/MPI i innymi
implementacjami standardu MPI. Oprcz implementacji standardu, LAM/MPI
oferuje rozszerzone moliwoci monitorowania na potrzeby
odpluskwiania. Monitorowanie wystpuje na dwch poziomach. Po
pierwsze, LAM/MPI pozwala na zrzut procesu i stanu komunikatu w
dowolnej chwili. Ten zrzut zawiera wszystko, co zwizane z
synchronizacj, plus mapy/sygnatury typw danych, czonkowstwo w
grupach komunikacyjnych i zawartoci komunikatw. Po drugie,
biblioteka MPI moe zapisywa ca komunikacj, ktra moe by
wizualizowana na bieco lub post-mortem.

%description -l pt_BR
LAM (Local Area Multicomputer)  um ambiente de desenvolvimento MPI
para computadores heterogneos em uma rede. Com LAM, um cluster
dedicado ou uma rede j existentes podem servir como um computador
paralelo.

LAM tem como vantagens o suporte extensivo a depurao durante o ciclo
de desenvolvimento dos aplicativos e tima performance em ambiente de
execuo. LAM implementa totalmente o padro MPI.

%prep
%setup -q

%build
chmod -R u+w .
libtoolize --copy --force
aclocal
autoconf
automake -a -c -f
%configure \
	--without-fc \
	--with-rsh="%{_bindir}/ssh -x"
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/usr/include/mpi++.h
ln -sf mpi2c++/mpi++.h $RPM_BUILD_ROOT/usr/include/mpi++.h

gzip -9nf LICENSE HISTORY INSTALL README RELEASE_NOTES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%doc examples
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%{_includedir}/*
%{_libdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lam.spec,v $
Revision 1.11  2002/05/13 10:16:43  qboosh
- removed /etc dir from package; release 6

Revision 1.10  2002/04/13 16:08:02  kloczek
- reelase 5, Epoch: 2 (for allow upgrade fromRH version),
- merge translations from Conectiva.

Revision 1.9  2002/04/13 15:58:31  misiek
- use ssh

Revision 1.8  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/23 15:08:25  qboosh
- cosmetics, pl description

Revision 1.4  2002/01/18 21:17:22  adasi
 -some fixes

Revision 1.3  2002/01/18 19:24:58  adasi
 - seems to be building correctly
 - TODO: manuals in seperate package (it's HUGE)
 - STBR

Revision 1.2  2002/01/18 18:51:31  adasi
 - added libtoolize --copy --force as suggested by arekm

Revision 1.1  2002/01/18 18:34:59  adasi
- Initial release
- Still need to be fixed
